# BuildInvocationDetails

@ServiceScope(value = Build::class)
interface BuildInvocationDetails

Provides some useful information about the build invocation that triggered this build.

An instance of the type can be injected into a task or plugin by annotating a public constructor or method with `javax.inject.Inject`.

    public class MyPlugin implements Plugin<Project> {
        // injection into a constructor
        @javax.inject.Inject
        public MyPlugin(BuildInvocationDetails invocationDetails) {}

        public void apply(Project project) {
        }
    }

Content copied to clipboard

#### Since

5.0

## Functions

getBuildStartedTime
Link copied to clipboard
abstract fun getBuildStartedTime(): Long
The wall-clock time in millis that the build was started.